Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.serialize
Class LineSeparator

    java.lang.Object
      |
      +--org.apache.xml.serialize.LineSeparator

public final class LineSeparator
extends java.lang.Object

Version:
  $Revision: 1.4 $ $Date: 2002/01/29 01:15:20 $
Author:
  Assaf Arkin
See Also:
  `OutputFormat`

Field Summary
`static java.lang.String` | `Macintosh` Line separator for Macintosh systems (`\r`).
`static java.lang.String` | `Unix` Line separator for Unix systems (`\n`).
`static java.lang.String` | `Web` Line separator for the Web (`\n`).
`static java.lang.String` | `Windows` Line separator for Windows systems (`\r\n`).

Constructor Summary
`LineSeparator()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### Unix

    public static final java.lang.String Unix

  Line separator for Unix systems (`\n`).

### Windows

    public static final java.lang.String Windows

  Line separator for Windows systems (`\r\n`).

### Macintosh

    public static final java.lang.String Macintosh

  Line separator for Macintosh systems (`\r`).

### Web

    public static final java.lang.String Web

  Line separator for the Web (`\n`).

Constructor Detail

### LineSeparator

    public LineSeparator()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2004 Apache XML Project. All Rights Reserved.